Subject: test.c runs afoul of GCC 4.6.1 bug if --enable-gcc-warnings

From: Paul Eggert <[email-masked]>
Date: Mon, 08 Aug 2011 11:55:04 -0700

I'm running into a problem with GCC 4.6.1 x86-64 when
compiling coreutils (latest git version), configured
with --enable-gcc-warnings.  A bogus warning is generated,
causing "make" to fail.  The warning is "function might be
candidate for attribute 'pure' if it is known to return
normally [-Wsuggest-attribute=pure]", and it points to the
"advance" function in test.c.  The warning is also generated
for lbracket.c, which includes test.c.

This is due to a GCC bug that has just been confirmed; see
<http://gcc.gnu.org/bugzilla/show_bug.cgi?id=50021>.

For now I'm leaving this alone, but I thought I'd give
others a heads-up.  The coreutils code is pretty
crufty but on the other hand I dislike modifying code just
to work around bugs in static checkers.